/* Options: Date: 2026-06-20 21:30:52 Version: 8.80 Tip: To override a DTO option, remove "//" prefix before updating BaseUrl: https://api.simplified.id/v2 //Package: //AddServiceStackTypes: True //AddResponseStatus: False //AddImplicitVersion: //AddDescriptionAsComments: True IncludeTypes: GetDbsSearch.* //ExcludeTypes: //InitializeCollections: False //TreatTypesAsStrings: //DefaultImports: java.math.*,java.util.*,java.io.InputStream,net.servicestack.client.*,com.google.gson.annotations.*,com.google.gson.reflect.* */ import java.math.* import java.util.* import java.io.InputStream import net.servicestack.client.* import com.google.gson.annotations.* import com.google.gson.reflect.* @Route(Path="/dbs/{Id}", Verbs="GET") @DataContract open class GetDbsSearch : BaseRequest(), IReturn { /** * The ID of the DBS Search */ @DataMember @ApiMember(Description="The ID of the DBS Search", IsRequired=true, ParameterType="path") open var id:Int? = null /** * Provide a value to only return a search that the specified sub user has permission to access. If this is null or empty, then sub user permissions will not be enforced and the search will be returned */ @DataMember @ApiMember(Description="Provide a value to only return a search that the specified sub user has permission to access. If this is null or empty, then sub user permissions will not be enforced and the search will be returned", ParameterType="query") open var subUserName:String? = null companion object { private val responseType = GetDbsSearchResponse::class.java } override fun getResponseType(): Any? = GetDbsSearch.responseType } @DataContract open class GetDbsSearchResponse { @DataMember @SerializedName("data") open var Data:GetDbsSearchData? = null } @DataContract open class Authentication { /** * The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User) */ @DataMember @ApiMember(Description="The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User)", IsRequired=true, ParameterType="header, body") open var apiUserId:String? = null /** * The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key) */ @DataMember @ApiMember(Description="The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key)", IsRequired=true, ParameterType="header, body") open var apiUserKey:String? = null /** * The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id). */ @DataMember @ApiMember(Description="The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id).", ParameterType="header, body") open var userId:String? = null } @DataContract open class BaseRequest : IBaseRequest { /** * The authentication credentials */ @DataMember @ApiMember(Description="The authentication credentials", IsRequired=true, ParameterType="header, body") override var authentication:Authentication? = null } interface IBaseRequest { var authentication:Authentication? } open class GetDbsSearchData : BaseResponse(), IBaseSearchResponse { override var linkedTo:ArrayOfLinkedTo? = null open var summary:DbsSearchSummary? = null } open class ArrayOfLinkedTo : ArrayList() { } open class BaseResponse : IBaseDataResponse, IHasResponseStatus { /** * The status of the response */ @ApiMember(Description="The status of the response") override var responseStatus:ResponseStatus? = null } interface IBaseDataResponse { var responseStatus:ResponseStatus? } interface IHasResponseStatus { var responseStatus:ResponseStatus? } interface IBaseSearchResponse : IBaseDataResponse { var linkedTo:ArrayOfLinkedTo? } open class DbsSearchSummary { open var id:Long? = null open var dateSearched:Date? = null open var dateUpdated:Date? = null open var status:String? = null open var disclosureStatus:String? = null open var isApplicantInfoCompleted:Boolean? = null open var isIdCheckCompleted:Boolean? = null open var isApplicationCompleted:Boolean? = null open var isApplicationSubmitted:Boolean? = null open var isApplicationDisclosed:Boolean? = null open var disclosureLevel:String? = null open var applicantInformation:ApplicantInformation? = null } open class LinkedTo { open var clientId:Int? = null open var id:Long? = null @SerializedName("type") open var Type:String? = null open var subtype:String? = null open var status:String? = null open var description:String? = null open var isArchived:Boolean? = null open var name:String? = null open var date:Date? = null } open class ArrayOfResponseError : ArrayList() { } open class ApplicantInformation { open var name:String? = null open var dateOfBirth:String? = null open var email:String? = null open var mobileInternational:String? = null open var jobLocation:String? = null open var reference:String? = null open var applicantPin:String? = null }